Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19868/?format=api
{ "ob_id": 19868, "uuid": "82e4ede59fe746ba810009d9a30e0153", "title": "ESA Greenland Ice Sheet Climate Change Initiative (Greenland_Ice_Sheet_cci): Greenland Ice Velocity Map Winter 2014-2015, v1.0", "abstract": "This dataset provides an ice velocity map for the whole Greenland ice-sheet for the winter of 2014-2015, derived from Sentinel-1 SAR data, as part of the ESA Greenland Ice Sheet Climate Change Initiative (CCI) project.\r\n\r\nThe data are provided on a polar stereographic grid (EPSG3413: Latitude of true scale 70N, Reference Longitude 45E). The horizontal velocity is provided in true meters per day, towards the EASTING(x) and NORTHING(y) directions of the grid; the vertical displacement (z), derived from a digital elevation model, is also provided. Please note that previous versions of this product provided the horizontal velocities as true East and North velocities.", "keywords": "greenland, ice velocity", "publicationState": "published", "dataPublishedTime": "2016-11-30T15:57:22", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/20113/?format=api", "dataPath": "/neodc/esacci/ice_sheets_greenland/data/greenland_ice_velocity/greenland_ice_velocity_map_winter_2014_2015/v1.0", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 364654977, "numberOfFiles": 8, "fileFormat": "Data are in NetCDF and GeoTiff format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5274/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1650/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/12066/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13204/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13205/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13206/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13207/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50547/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50548/?format=api" ], "dataLineage": "Data were processed by the ESA CCI Greenland Ice Sheet project team and supplied to CEDA in the context of the ESA CCI Open Data Portal Project", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14317/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14316/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75506/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75507/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76450/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/104941/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105158/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105336/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76452/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76451/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2553/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_icesheets_greenland_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" }, { "ob_id": 1140, "name": "ESACCI" } ] }